Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
Hi All, I Have The Same Problem As Stated In This Thread. The File Encoding Of All Files In My Project Is Utf-8 And I Already Set The Environment Variable

Hi all, I have the same problem as stated in this Thread. The file encoding of all files in my project is utf-8 and I already set the environment variable PYTHONUTF8=1 . I have Windows 11 installed and try to use my local work station as agent. (Full log follows as comment)

  
  
Posted 8 months ago
Votes Newest

Answers 5


You can try to add the --debug flag to get more information

  
  
Posted 8 months ago

Are you running the agent yourself?

  
  
Posted 8 months ago

Yes I am running the agent by calling clearml-agent daemon --queue default in my virtual environment on my local computer.

  
  
Posted 8 months ago

Full log:
` Current configuration (clearml_agent v1.5.1, location: C:/Users/USER~1/AppData/Local/Temp/.clearml_agent.g6ysfs_g.cfg):

agent.worker_id = HPZBook:0
agent.worker_name = HPZBook
agent.force_git_ssh_protocol = false
agent.python_binary =
agent.package_manager.type = pip
agent.package_manager.pip_version.0 = <20.2 ; python_version < '3.10'
agent.package_manager.pip_version.1 = <22.3 ; python_version >= '3.10'
agent.package_manager.system_site_packages = false
agent.package_manager.force_upgrade = false
agent.package_manager.conda_channels.0 = pytorch
agent.package_manager.conda_channels.1 = conda-forge
agent.package_manager.conda_channels.2 = defaults
agent.package_manager.priority_optional_packages.0 = pygobject
agent.package_manager.torch_nightly = false
agent.venvs_dir = C:/Users/User/.clearml/venvs-builds
agent.venvs_cache.max_entries = 10
agent.venvs_cache.free_space_threshold_gb = 2.0
agent.venvs_cache.path = ~/.clearml/venvs-cache
agent.vcs_cache.enabled = true
agent.vcs_cache.path = C:/Users/User/.clearml/vcs-cache
agent.venv_update.enabled = false
agent.pip_download_cache.enabled = true
agent.pip_download_cache.path = C:/Users/User/.clearml/pip-download-cache
agent.translate_ssh = true
agent.reload_config = false
agent.docker_pip_cache = C:/Users/User/.clearml/pip-cache
agent.docker_apt_cache = C:/Users/User/.clearml/apt-cache
agent.docker_force_pull = false
agent.default_docker.image = nvidia/cuda:10.2-cudnn7-runtime-ubuntu18.04
agent.enable_task_env = false
agent.hide_docker_command_env_vars.enabled = true
agent.hide_docker_command_env_vars.parse_embedded_urls = true
agent.abort_callback_max_timeout = 1800
agent.docker_internal_mounts.sdk_cache = /clearml_agent_cache
agent.docker_internal_mounts.apt_cache = /var/cache/apt/archives
agent.docker_internal_mounts.ssh_folder = ~/.ssh
agent.docker_internal_mounts.ssh_ro_folder = /.ssh
agent.docker_internal_mounts.pip_cache = /root/.cache/pip
agent.docker_internal_mounts.poetry_cache = /root/.cache/pypoetry
agent.docker_internal_mounts.vcs_cache = /root/.clearml/vcs-cache
agent.docker_internal_mounts.venv_build = ~/.clearml/venvs-builds
agent.docker_internal_mounts.pip_download = /root/.clearml/pip-download-cache
agent.apply_environment = true
agent.apply_files = true
agent.custom_build_script =
agent.disable_task_docker_override = false
agent.default_python = 3.10
agent.cuda_version = 116
agent.cudnn_version = 0
api.version = 1.5
api.verify_certificate = true
api.default_version = 1.5
api.http.max_req_size = 15728640
api.http.retries.total = 240
api.http.retries.connect = 240
api.http.retries.read = 240
api.http.retries.redirect = 240
api.http.retries.status = 240
api.http.retries.backoff_factor = 1.0
api.http.retries.backoff_max = 120.0
api.http.wait_on_maintenance_forever = true
api.http.pool_maxsize = 512
api.http.pool_connections = 512
api.api_server =
api.web_server =
api.files_server =
api.credentials.access_key = 72HATP4PMYA6JVG9MLS6
api.host =
sdk.storage.cache.default_base_dir = ~/.clearml/cache
sdk.storage.cache.size.min_free_bytes = 10GB
sdk.storage.direct_access.0.url = file://*
sdk.metrics.file_history_size = 100
sdk.metrics.matplotlib_untitled_history_size = 100
sdk.metrics.images.format = JPEG
sdk.metrics.images.quality = 87
sdk.metrics.images.subsampling = 0
sdk.metrics.tensorboard_single_series_per_graph = false
sdk.network.metrics.file_upload_threads = 4
sdk.network.metrics.file_upload_starvation_warning_sec = 120
sdk.network.iteration.max_retries_on_server_error = 5
sdk.network.iteration.retry_backoff_factor_sec = 10
sdk.network.file_upload_retries = 3
sdk.aws.s3.key =
sdk.aws.s3.region =
sdk.aws.s3.use_credentials_chain = false
sdk.aws.boto3.pool_connections = 512
sdk.aws.boto3.max_multipart_concurrency = 16
sdk.log.null_log_propagate = false
sdk.log.task_log_buffer_capacity = 66
sdk.log.disable_urllib3_info = true
sdk.development.task_reuse_time_window_in_hours = 72.0
sdk.development.vcs_repo_detect_async = true
sdk.development.store_uncommitted_code_diff = true
sdk.development.support_stopping = true
sdk.development.default_output_uri =
sdk.development.force_analyze_entire_repo = false
sdk.development.suppress_update_message = false
sdk.development.detect_with_pip_freeze = false
sdk.development.worker.report_period_sec = 2
sdk.development.worker.ping_period_sec = 30
sdk.development.worker.log_stdout = true
sdk.development.worker.report_global_mem_used = false
sdk.development.worker.report_event_flush_threshold = 100
sdk.development.worker.console_cr_flush_period = 10
sdk.apply_environment = false
sdk.apply_files = false
clearml_agent: Warning: Working dir "clearml_integrated\src\models" contains backslashes. All path separators must be forward slashes.
Executing task id [28b10bc2d64649908580649f70aa4000]:
repository = git@ssh.dev.azure.com:v3/laromed-gmbh/laromed/feasability_study
branch = #122-add_clearml_integration
version_num = e951c0e403b54380a88ae5a570319759bcabad46
tag =
docker_cmd =
entry_point = train_mlp.py
working_dir = clearml_integrated\src\models
Warning: could not locate requested Python version 3.10, reverting to version 3.10
clearml_agent: ERROR: 'utf-8' codec can't decode byte 0xfc in position 38: invalid start byte `

  
  
Posted 8 months ago

Thank you, I did not think about that. It helped a lot! I found out that the problem causing the unicode error was, that only the 'python' command was set up on my windows machine, but not the 'python3' command. This was the exact error for documentation:

DEBUG:clearml_agent.commands.worker:Searching for python3
Traceback (most recent call last):
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\helper\process.py", line 204, in normalize_exception
    yield
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\helper\process.py", line 245, in call_subprocess
    return func(list(self), *args, **kwargs)
  File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\subprocess.py", line 421, in check_output
    return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
  File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\subprocess.py", line 526, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['python3', '--version']' returned non-zero exit status 9009.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\commands\worker.py", line 3269, in install_virtualenv
    self.find_python_executable_for_version(requested_python_version)
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\commands\worker.py", line 3078, in find_python_executable_for_version
    output = Argv(executable, "--version").get_output(
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\helper\process.py", line 192, in get_output
    self.call_subprocess(subprocess.check_output, *args, **kwargs)
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\helper\process.py", line 244, in call_subprocess
    with self.normalize_exception(censor_password):
  File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\contextlib.py", line 153, in __exit__
    self.gen.throw(typ, value, traceback)
  File "C:\Users\User\venvs\clearml\lib\site-packages\clearml_agent\helper\process.py", line 210, in normalize_exception
    e.output = e.output.decode()
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfc in position 38: invalid start byte
  
  
Posted 8 months ago